EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Assets_IncrementDownloadCount',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ NULL,
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Increments the download count and sets the download date of an asset item.'
GO

IF OBJECT_ID('[Assets_IncrementDownloadCount]') IS NOT NULL DROP PROCEDURE [Assets_IncrementDownloadCount]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Assets_IncrementDownloadCount]
(
	@AssetItem_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

    UPDATE [AssetItems]
       SET [Download_Count] = [Download_Count] + 1,
	       [LastDownloaded_Date] = GETUTCDATE()
     WHERE [AssetItem_Id] = @AssetItem_Id

END
GO

GRANT EXECUTE ON [Assets_IncrementDownloadCount] TO [ProGetUser_Role]